---
title: Notification.actions
slug: Web/API/Notification/actions
tags:
  - API
  - Notification
  - Notifications
  - Notifications API
  - Property
  - Reference
  - actions
---
<p>{{APIRef("Web Notifications")}}{{AvailableInWorkers}}{{securecontext_header}}</p>

<p><span class="seoSummary">The <strong><code>actions</code></strong> read-only property of the {{domxref("Notification")}} interface returns the list of {{domxref("NotificationAction")}} objects set using the <code>actions</code> option when creating the notification using the {{domxref("Notification.Notification","Notification()")}} constructor.</span> This is a list of the application-defined actions the user can choose to take immediately within the context of a notification.</p>

<div class="notecard note">
<p><strong>Note:</strong> Device and User Agent might be able to display only a limited number of actions (due to, e.g., limited screen space). This limit can be infered from {{DOMxRef("Notification.maxActions")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>actions</var>[] = <var>Notification</var>.actions;</pre>

<h3 id="Value">Value</h3>

<p>A read-only array of {{domxref("NotificationAction")}} objects, each describing a single action the user can choose within a notification.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Notifications','#dom-notification-actions','actions')}}</td>
   <td>{{Spec2('Web Notifications')}}</td>
   <td>Living standard</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Notification.actions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Notifications_API/Using_the_Notifications_API">Using the Notifications API</a></li>
 <li>{{DOMxRef("Notification.maxActions")}}</li>
</ul>
